curl --request POST \
--url https://api.hubapi.com/crm/v4/associations/{fromObjectType}/{toObjectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"from": {
"id": "<string>"
},
"to": {
"id": "<string>"
},
"types": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
}
]
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"fromObjectId": "<string>",
"fromObjectTypeId": "<string>",
"labels": [
"<string>"
],
"toObjectId": "<string>",
"toObjectTypeId": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Crie associações em lote para objetos
curl --request POST \
--url https://api.hubapi.com/crm/v4/associations/{fromObjectType}/{toObjectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"from": {
"id": "<string>"
},
"to": {
"id": "<string>"
},
"types": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
}
]
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"fromObjectId": "<string>",
"fromObjectTypeId": "<string>",
"labels": [
"<string>"
],
"toObjectId": "<string>",
"toObjectTypeId": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Produtos suportados
Escopos Necessários
The access token received from the authorization server in the OAuth 2.0 flow.
O tipo do objeto de origem
O tipo do objeto de destino
Mostrar atributos filhos
successful operation
A data e hora em que o processamento em lote foi concluído, no formato ISO 8601.
Mostrar atributos filhos
A data e hora em que o processamento em lote foi iniciado, no formato ISO 8601.
O status da solicitação de processamento em lote: "PENDENTE", "PROCESSANDO", "CANCELADO" ou "CONCLUÍDO".
CANCELED, COMPLETE, PENDING, PROCESSING Mostrar atributos filhos
Um objeto contendo links relevantes relacionados à solicitação em lote.
Mostrar atributos filhos
O número de erros encontrados durante o processamento em lote.
A data e hora em que a solicitação em lote foi feita inicialmente, no formato ISO 8601.